%define name    xine-vcdx
%define ver     1
%define pre	beta4
%define rel     0.%{pre}.1mdk
%define xineversion 1

Name: %{name}
Summary: VCD and SVCD Navigation plugin for xine
Version: %{ver}
Release: %{rel}
Group: Video
License: GPL
Url: http://sourceforge.net/projects/xine
Source: %{name}-%{version}-%pre.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libxine1-devel >= %xineversion
Requires: xine-plugins >= %xineversion

%description
xine-vcdnav provides VCD and SVCD navigation support (including menus) to
the Xine media player. To use, simply run Xine with the following
command:

 $ xine -pq vcdx://

%prep
%setup -q -n %name-%version-%pre

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%{_libdir}/xine/plugins/1.0.0/xineplug_inp_vcdx.la

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README TODO NEWS THANKS
%{_libdir}/xine/plugins/1.0.0/xineplug_inp_vcdx.so

%changelog
* Tue Feb  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta4.1mdk
- new version

* Sun Jan 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta2.2mdk
- fix requires

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1-0.beta2.1mdk
- new version for xine 1

* Wed Jan  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-3mdk
- fix URL and description (R. Bernstein <rocky@panix.com>)

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-2mdk
- fix requires and buildrequires

* Tue Nov 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-1mdk
- initial package


